### Method

# Gtk Tooltip set_icon_from_icon_name

#### Declaration [src]

    void
    gtk_tooltip_set_icon_from_icon_name (
      GtkTooltip* tooltip,
      const char* icon_name
    )

#### Description [src]

Sets the icon of the tooltip (which is in front of the text) to be the icon indicated by `icon_name` with the size indicated by `size`. If `icon_name` is `NULL`, the image will be hidden.

#### Parameters

`icon_name` | `const char*`
| An icon name.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.